Gecode::Set::Branch Namespace Reference

Set branchings More...

## Classes

class | MeritMin
| Merit class for mimimum of set views. More...
class | MeritMax
| Merit class for maximum of set view. More...
class | MeritSize
| Merit class for size of set view. More...
class | MeritDegreeSize
| Merit class for degree over size. More...
class | MeritAFCSize
| Merit class for AFC over size. More...
class | MeritActionSize
| Merit class for action over size. More...
class | MeritCHBSize
| Merit class for CHB Q-score over size. More...
class | ValSelMin
| Value selection class for mimimum of view. More...
class | ValSelMax
| Value selection class for maximum of view. More...
class | ValSelMed
| Value selection class for median of view. More...
class | ValSelRnd
| Value selection class for random value of view. More...
class | IncNGL
| No-good literal for inclusion. More...
class | ExcNGL
| No-good literal for exclusion. More...
class | ValCommitInc
| Value commit class for inclusion. More...
class | ValCommitExc
| Value commit class for exclusion. More...

## Functions

ViewSel< SetView > * | viewsel (Space &home, const SetVarBranch &svb)
| Return view selectors for set views.
ValSelCommitBase< SetView, int > * | valselcommit (Space &home, const SetValBranch &svb)
| Return value and commit for set views.
ValSelCommitBase< SetView, int > * | valselcommit (Space &home, const SetAssign &ia)
| Return value and commit for set views.

## Detailed Description

Set branchings

## Function Documentation

## viewsel()

ViewSel< SetView > * Gecode::Set::Branch::viewsel | ( | Space & | home,
|  | const SetVarBranch & | svb )

Return view selectors for set views.

Definition at line 39 of file view-sel.cpp.

## valselcommit() [1/2]

ValSelCommitBase< SetView, int > * Gecode::Set::Branch::valselcommit | ( | Space & | home,
|  | const SetValBranch & | svb )

Return value and commit for set views.

Definition at line 39 of file val-sel-commit.cpp.

## valselcommit() [2/2]

ValSelCommitBase< SetView, int > * Gecode::Set::Branch::valselcommit | ( | Space & | home,
|  | const SetAssign & | ia )

Return value and commit for set views.

Definition at line 71 of file val-sel-commit.cpp.